FROM python:3.12-slim

WORKDIR /app

COPY solution/req.txt .
RUN pip install --no-cache-dir -r req.txt

COPY ./solution .

EXPOSE 8080

CMD ["uvicorn", "main:app", "--host", "0.0.0.0", "--port", "8080", "--reload"]

